From 40ecf112c365ec3d92e0dcddb8477776ba567ba3 Mon Sep 17 00:00:00 2001
From: "Endi S. Dewata" <edewata@redhat.com>
Date: Wed, 17 Jul 2013 13:20:25 -0400
Subject: [PATCH] Fixed dependency issue on CMSRequest.

The CMSRequest is a server class but it's used by the ICommandQueue
that belongs in the base package. To fix the dependency issue the
CMSRequest has been refactored to implement a new interface
ICMSRequest in the base package. Some constants in CMSRequest have
also been moved into ICMSRequest. All code referencing CMSRequest
has been adjusted accordingly.
---
 .../com/netscape/certsrv/apps/ICommandQueue.java   |  4 +--
 .../com/netscape/certsrv/common/ICMSRequest.java   | 14 +++++++++
 .../com/netscape/cms/servlet/base/CMSServlet.java  | 21 +++++++-------
 .../cms/servlet/base/DisplayHtmlServlet.java       |  3 +-
 .../com/netscape/cms/servlet/base/GetStats.java    | 13 +++++----
 .../netscape/cms/servlet/base/IndexServlet.java    |  5 ++--
 .../netscape/cms/servlet/base/PortsServlet.java    |  5 ++--
 .../cms/servlet/cert/CMCRevReqServlet.java         |  9 +++---
 .../servlet/cert/ChallengeRevocationServlet1.java  |  9 +++---
 .../netscape/cms/servlet/cert/CloneRedirect.java   |  5 ++--
 .../netscape/cms/servlet/cert/DirAuthServlet.java  | 27 +++++++++---------
 .../cms/servlet/cert/DisableEnrollResult.java      | 15 +++++-----
 .../netscape/cms/servlet/cert/DisplayBySerial.java |  9 +++---
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |  7 +++--
 .../cms/servlet/cert/DisplayHashUserEnroll.java    | 27 +++++++++---------
 .../com/netscape/cms/servlet/cert/DoRevoke.java    | 11 ++++----
 .../com/netscape/cms/servlet/cert/DoRevokeTPS.java |  5 ++--
 .../com/netscape/cms/servlet/cert/DoUnrevoke.java  |  9 +++---
 .../netscape/cms/servlet/cert/DoUnrevokeTPS.java   |  5 ++--
 .../cms/servlet/cert/EnableEnrollResult.java       | 15 +++++-----
 .../netscape/cms/servlet/cert/EnrollServlet.java   | 17 +++++------
 .../com/netscape/cms/servlet/cert/GetBySerial.java | 17 +++++------
 .../com/netscape/cms/servlet/cert/GetCAChain.java  | 23 +++++++--------
 .../src/com/netscape/cms/servlet/cert/GetCRL.java  | 31 ++++++++++----------
 .../cms/servlet/cert/GetCertFromRequest.java       |  7 +++--
 .../netscape/cms/servlet/cert/GetEnableStatus.java | 15 +++++-----
 .../src/com/netscape/cms/servlet/cert/GetInfo.java |  9 +++---
 .../cms/servlet/cert/HashEnrollServlet.java        | 33 +++++++++++-----------
 .../com/netscape/cms/servlet/cert/ListCerts.java   | 11 ++++----
 .../src/com/netscape/cms/servlet/cert/Monitor.java |  9 +++---
 .../netscape/cms/servlet/cert/ReasonToRevoke.java  |  9 +++---
 .../cms/servlet/cert/RemoteAuthConfig.java         |  5 ++--
 .../netscape/cms/servlet/cert/RenewalServlet.java  |  9 +++---
 .../cms/servlet/cert/RevocationServlet.java        |  7 +++--
 .../com/netscape/cms/servlet/cert/SrchCerts.java   |  9 +++---
 .../com/netscape/cms/servlet/cert/UpdateCRL.java   |  9 +++---
 .../com/netscape/cms/servlet/cert/UpdateDir.java   |  9 +++---
 .../netscape/cms/servlet/common/CMSRequest.java    | 19 ++++---------
 .../common/GenUnexpectedErrorTemplateFiller.java   |  3 +-
 .../cms/servlet/connector/CloneServlet.java        |  3 +-
 .../cms/servlet/connector/ConnectorServlet.java    |  3 +-
 .../servlet/connector/GenerateKeyPairServlet.java  |  3 +-
 .../servlet/connector/TokenKeyRecoveryServlet.java |  3 +-
 .../netscape/cms/servlet/csadmin/GetCookie.java    |  7 +++--
 .../cms/servlet/csadmin/MainPageServlet.java       |  7 +++--
 .../cms/servlet/key/ConfirmRecoverBySerial.java    |  5 ++--
 .../netscape/cms/servlet/key/DisplayBySerial.java  |  5 ++--
 .../servlet/key/DisplayBySerialForRecovery.java    |  7 +++--
 .../netscape/cms/servlet/key/DisplayTransport.java |  7 +++--
 .../netscape/cms/servlet/key/ExamineRecovery.java  |  9 +++---
 .../cms/servlet/key/GetApprovalStatus.java         |  9 +++---
 .../com/netscape/cms/servlet/key/GetAsyncPk12.java |  9 +++---
 .../src/com/netscape/cms/servlet/key/GetPk12.java  |  9 +++---
 .../cms/servlet/key/GrantAsyncRecovery.java        |  7 +++--
 .../netscape/cms/servlet/key/GrantRecovery.java    |  7 +++--
 .../netscape/cms/servlet/key/RecoverBySerial.java  |  9 +++---
 .../src/com/netscape/cms/servlet/key/SrchKey.java  |  7 +++--
 .../cms/servlet/key/SrchKeyForRecovery.java        |  9 +++---
 .../netscape/cms/servlet/ocsp/AddCAServlet.java    |  7 +++--
 .../netscape/cms/servlet/ocsp/AddCRLServlet.java   | 13 +++++----
 .../cms/servlet/ocsp/CheckCertServlet.java         |  7 +++--
 .../com/netscape/cms/servlet/ocsp/GetOCSPInfo.java | 15 +++++-----
 .../netscape/cms/servlet/ocsp/ListCAServlet.java   |  7 +++--
 .../com/netscape/cms/servlet/ocsp/OCSPServlet.java |  3 +-
 .../netscape/cms/servlet/ocsp/RemoveCAServlet.java |  7 +++--
 .../cms/servlet/processors/CMCProcessor.java       |  6 ++--
 .../cms/servlet/processors/CRMFProcessor.java      |  8 +++---
 .../cms/servlet/processors/IPKIProcessor.java      |  4 +--
 .../cms/servlet/processors/KeyGenProcessor.java    |  6 ++--
 .../cms/servlet/processors/PKCS10Processor.java    |  6 ++--
 .../cms/servlet/processors/PKIProcessor.java       |  8 +++---
 .../netscape/cms/servlet/request/CheckRequest.java |  9 +++---
 .../cms/servlet/request/ProcessCertReq.java        | 15 +++++-----
 .../netscape/cms/servlet/request/ProcessReq.java   | 11 ++++----
 .../com/netscape/cms/servlet/request/QueryReq.java |  9 +++---
 .../netscape/cms/servlet/request/SearchReqs.java   | 13 +++++----
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |  4 +--
 .../com/netscape/cmscore/apps/CommandQueue.java    |  8 +++---
 78 files changed, 417 insertions(+), 343 deletions(-)
 create mode 100644 base/common/src/com/netscape/certsrv/common/ICMSRequest.java

diff --git a/base/common/src/com/netscape/certsrv/apps/ICommandQueue.java b/base/common/src/com/netscape/certsrv/apps/ICommandQueue.java
index 77b0a4e2b5b127c382be436cd962ba1a3680a4aa..dbd84f127e4dc416f630cbe914d6995e8e387bb6 100644
--- a/base/common/src/com/netscape/certsrv/apps/ICommandQueue.java
+++ b/base/common/src/com/netscape/certsrv/apps/ICommandQueue.java
@@ -19,7 +19,7 @@ package com.netscape.certsrv.apps;
 
 import javax.servlet.Servlet;
 
-import com.netscape.cms.servlet.common.CMSRequest;
+import com.netscape.certsrv.common.ICMSRequest;
 
 /**
  * This interface represents a command queue for registeration
@@ -35,7 +35,7 @@ public interface ICommandQueue {
      * @param currentRequest request object
      * @param currentServlet servlet that serves the request object
      */
-    public boolean registerProcess(CMSRequest currentRequest, Servlet currentServlet);
+    public boolean registerProcess(ICMSRequest currentRequest, Servlet currentServlet);
 
     /**
      * UnRegisters a thread from the command queue.
diff --git a/base/common/src/com/netscape/certsrv/common/ICMSRequest.java b/base/common/src/com/netscape/certsrv/common/ICMSRequest.java
new file mode 100644
index 0000000000000000000000000000000000000000..ac79374fa785f6b47bc7d50e79072c4e3483aea4
--- /dev/null
+++ b/base/common/src/com/netscape/certsrv/common/ICMSRequest.java
@@ -0,0 +1,14 @@
+package com.netscape.certsrv.common;
+
+public interface ICMSRequest {
+
+    // statuses. the first two are out of band.
+    public static final Integer UNAUTHORIZED = Integer.valueOf(1);
+    public static final Integer SUCCESS = Integer.valueOf(2);
+    public static final Integer PENDING = Integer.valueOf(3);
+    public static final Integer SVC_PENDING = Integer.valueOf(4);
+    public static final Integer REJECTED = Integer.valueOf(5);
+    public static final Integer ERROR = Integer.valueOf(6);
+    public static final Integer EXCEPTION = Integer.valueOf(7); // unexpected error.
+
+}
\ No newline at end of file
diff --git a/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java b/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
index 744a000e3c5665da88e1b773175fe35db47dbc8e..56a37b34dfc118a94c4d684c37e63249f9e39d00 100644
--- a/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/CMSServlet.java
@@ -71,6 +71,7 @@ import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.base.SessionContext;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
 import com.netscape.certsrv.kra.IKeyRecoveryAuthority;
@@ -492,7 +493,7 @@ public abstract class CMSServlet extends HttpServlet {
 
         try {
             if (iCommandQueue.registerProcess(cmsRequest, this) == false) {
-                cmsRequest.setStatus(CMSRequest.ERROR);
+                cmsRequest.setStatus(ICMSRequest.ERROR);
                 renderResult(cmsRequest);
                 SessionContext.releaseContext();
                 return;
@@ -708,7 +709,7 @@ public abstract class CMSServlet extends HttpServlet {
         try {
             Locale[] locale = new Locale[1];
             CMSLoadTemplate loadTempl =
-                    mTemplates.get(CMSRequest.EXCEPTION);
+                    mTemplates.get(ICMSRequest.EXCEPTION);
             CMSTemplate template = getTemplate(loadTempl.mTemplateName,
                     cmsReq.getHttpReq(), locale);
             ICMSTemplateFiller filler = loadTempl.mFiller;
@@ -718,7 +719,7 @@ public abstract class CMSServlet extends HttpServlet {
             // will leave the requestStatus value set to something other
             // than CMSRequest.EXCEPTION, so force the requestStatus to
             // EXCEPTION since it must be that if we're here.
-            cmsReq.setStatus(CMSRequest.EXCEPTION);
+            cmsReq.setStatus(ICMSRequest.EXCEPTION);
 
             if (filler != null) {
                 templateParams = filler.getTemplateParams(
@@ -1253,37 +1254,37 @@ public abstract class CMSServlet extends HttpServlet {
         }
 
         mTemplates.put(
-                CMSRequest.UNAUTHORIZED,
+                ICMSRequest.UNAUTHORIZED,
                 new CMSLoadTemplate(
                         PROP_UNAUTHORIZED_TEMPLATE, PROP_UNAUTHOR_TEMPLATE_FILLER,
                         unauthorizedTemplate, null));
         mTemplates.put(
-                CMSRequest.SUCCESS,
+                ICMSRequest.SUCCESS,
                 new CMSLoadTemplate(
                         PROP_SUCCESS_TEMPLATE, PROP_SUCCESS_TEMPLATE_FILLER,
                         successTemplate, new GenSuccessTemplateFiller()));
         mTemplates.put(
-                CMSRequest.PENDING,
+                ICMSRequest.PENDING,
                 new CMSLoadTemplate(
                         PROP_PENDING_TEMPLATE, PROP_PENDING_TEMPLATE_FILLER,
                         pendingTemplate, new GenPendingTemplateFiller()));
         mTemplates.put(
-                CMSRequest.SVC_PENDING,
+                ICMSRequest.SVC_PENDING,
                 new CMSLoadTemplate(
                         PROP_SVC_PENDING_TEMPLATE, PROP_SVC_PENDING_TEMPLATE_FILLER,
                         svcpendingTemplate, new GenSvcPendingTemplateFiller()));
         mTemplates.put(
-                CMSRequest.REJECTED,
+                ICMSRequest.REJECTED,
                 new CMSLoadTemplate(
                         PROP_REJECTED_TEMPLATE, PROP_REJECTED_TEMPLATE_FILLER,
                         rejectedTemplate, new GenRejectedTemplateFiller()));
         mTemplates.put(
-                CMSRequest.ERROR,
+                ICMSRequest.ERROR,
                 new CMSLoadTemplate(
                         PROP_ERROR_TEMPLATE, PROP_ERROR_TEMPLATE_FILLER,
                         errorTemplate, new GenErrorTemplateFiller()));
         mTemplates.put(
-                CMSRequest.EXCEPTION,
+                ICMSRequest.EXCEPTION,
                 new CMSLoadTemplate(
                         PROP_EXCEPTION_TEMPLATE, PROP_EXCEPTION_TEMPLATE_FILLER,
                         unexpectedErrorTemplate, new GenUnexpectedErrorTemplateFiller()));
diff --git a/base/common/src/com/netscape/cms/servlet/base/DisplayHtmlServlet.java b/base/common/src/com/netscape/cms/servlet/base/DisplayHtmlServlet.java
index 895e099fb75b685838b81c35cb374ed1547f612f..52b1258eb7889fe65979340292a11475510d2a2b 100644
--- a/base/common/src/com/netscape/cms/servlet/base/DisplayHtmlServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/DisplayHtmlServlet.java
@@ -27,6 +27,7 @@ import javax.servlet.ServletException;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cms.servlet.common.ECMSGWException;
@@ -53,7 +54,7 @@ public class DisplayHtmlServlet extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         mHTMLPath = sc.getInitParameter(PROP_HTML_PATH);
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/base/GetStats.java b/base/common/src/com/netscape/cms/servlet/base/GetStats.java
index 8c32e78c38a5f7813a729eb1d2d4647b12d2bfc3..5fbed7bbc08b1de49a77cc7996f48fcc8318d8f7 100644
--- a/base/common/src/com/netscape/cms/servlet/base/GetStats.java
+++ b/base/common/src/com/netscape/cms/servlet/base/GetStats.java
@@ -34,6 +34,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.authorization.EAuthzAccessDenied;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.util.IStatsSubsystem;
 import com.netscape.certsrv.util.StatsEvent;
@@ -74,7 +75,7 @@ public class GetStats extends CMSServlet {
         if (mOutputTemplatePath != null)
             mFormPath = mOutputTemplatePath;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -102,7 +103,7 @@ public class GetStats extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -116,7 +117,7 @@ public class GetStats extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERR_GET_TEMPLATE", mFormPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -141,15 +142,15 @@ public class GetStats extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("CMSGW_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getUserMessage("CMS_GW_DISPLAY_TEMPLATE_ERROR")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
diff --git a/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java b/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
index bdb02cae3d85369df9524a7944474f2676deee62..c81005b3b0cc5f996763edf4aa70fe0b4db0bc6a 100644
--- a/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/IndexServlet.java
@@ -25,6 +25,7 @@ import javax.servlet.ServletException;
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.common.CMSGateway;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -63,7 +64,7 @@ public class IndexServlet extends CMSServlet {
          PROP_SUCCESS_TEMPLATE, PROP_SUCCESS_TEMPLATE_FILLER,
          mTemplateName, new IndexTemplateFiller()));
          */
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     public CMSRequest newCMSRequest() {
@@ -105,6 +106,6 @@ public class IndexServlet extends CMSServlet {
                         CMS.getLogMessage("CMSG_ERROR_DISPLAY_TEMPLATE"));
             }
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
     }
 }
diff --git a/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java b/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
index 1e4f0913e5cfc0be477d8f9d14c258d0f64ee196..4b1b4810840c2f06f9358765cd5f69c0a82c3dba 100644
--- a/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/base/PortsServlet.java
@@ -28,6 +28,7 @@ import org.w3c.dom.Node;
 
 import com.netscape.certsrv.apps.CMS;
 import com.netscape.certsrv.base.EBaseException;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.cms.servlet.common.CMSRequest;
 import com.netscape.cmsutil.xml.XMLObject;
 
@@ -49,8 +50,8 @@ public class PortsServlet extends CMSServlet {
     public void init(ServletConfig sc) throws ServletException {
         super.init(sc);
         // override these to output directly ourselves.
-        mTemplates.remove(CMSRequest.SUCCESS);
-        mTemplates.remove(CMSRequest.ERROR);
+        mTemplates.remove(ICMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.ERROR);
     }
 
     /**
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index b45f46d12e09cccdcb807fa11d5c2e2f4bf70c25..71c10ead9ab8df5967dec0e2019bbd29897d03a1 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -49,6 +49,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -121,7 +122,7 @@ public class CMCRevReqServlet extends CMSServlet {
 
         mFormPath = "/" + authorityId + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mAuthority instanceof ICertificateAuthority) {
             mCertDB = ((ICertificateAuthority) mAuthority).getCertificateRepository();
         }
@@ -181,7 +182,7 @@ public class CMCRevReqServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -290,7 +291,7 @@ public class CMCRevReqServlet extends CMSServlet {
             ServletOutputStream out = resp.getOutputStream();
 
             if ((serialNoArray == null) || (serialNoArray.length == 0)) {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 EBaseException ee = new EBaseException("No matched certificate is found");
 
                 cmsReq.setError(ee);
@@ -301,7 +302,7 @@ public class CMCRevReqServlet extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java b/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
index 0b59fdc97ef81312f5f63f6dc3ac1aa5f4e4b7ea..097035be1390ddbe4963320d5470855354217a63 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
@@ -48,6 +48,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.ca.ICRLIssuingPoint;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.dbs.certdb.ICertRecord;
 import com.netscape.certsrv.dbs.certdb.ICertRecordList;
 import com.netscape.certsrv.dbs.certdb.ICertificateRepository;
@@ -113,7 +114,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
 
         mFormPath = "/" + authorityId + "/" + TPL_FILE;
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         if (mAuthority instanceof ICertificateAuthority) {
             mCertDB = ((ICertificateAuthority) mAuthority).getCertificateRepository();
         }
@@ -202,7 +203,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -273,7 +274,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
             }
 
             if (serialNoArray.length == 0) {
-                cmsReq.setStatus(CMSRequest.ERROR);
+                cmsReq.setStatus(ICMSRequest.ERROR);
                 EBaseException ee = new EBaseException("No matched certificate is found");
 
                 cmsReq.setError(ee);
@@ -284,7 +285,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 } else {
                     resp.setContentType("text/html");
                     form.renderOutput(out, argSet);
-                    cmsReq.setStatus(CMSRequest.SUCCESS);
+                    cmsReq.setStatus(ICMSRequest.SUCCESS);
                 }
             }
         } catch (IOException e) {
diff --git a/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java b/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
index aa7abc92e2967a9552cc31844b92c705517db0f3..bf5fc490f28ff8d59ad5dd0b94e60d63520e4d25 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
@@ -31,6 +31,7 @@ import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
 import com.netscape.certsrv.ca.ICertificateAuthority;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.cms.servlet.base.CMSServlet;
 import com.netscape.cms.servlet.common.CMSRequest;
@@ -94,7 +95,7 @@ public class CloneRedirect extends CMSServlet {
             mCA = (ICertificateAuthority) mAuthority;
 
         // override success to do output with our own template.
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -131,7 +132,7 @@ public class CloneRedirect extends CMSServlet {
             } else {
                 resp.setContentType("text/html");
                 form.renderOutput(out, argSet);
-                cmsReq.setStatus(CMSRequest.SUCCESS);
+                cmsReq.setStatus(ICMSRequest.SUCCESS);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java b/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
index aa48a7ca9b60e4b12d57ea3a371907480d5b75c7..66c2aa2685770d2401ce75954b411d0f976c71ad 100644
--- a/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
+++ b/base/common/src/com/netscape/cms/servlet/cert/DirAuthServlet.java
@@ -35,6 +35,7 @@ import com.netscape.certsrv.authorization.AuthzToken;
 import com.netscape.certsrv.base.EBaseException;
 import com.netscape.certsrv.base.IArgBlock;
 import com.netscape.certsrv.base.IConfigStore;
+import com.netscape.certsrv.common.ICMSRequest;
 import com.netscape.certsrv.logging.ILogger;
 import com.netscape.certsrv.ra.IRegistrationAuthority;
 import com.netscape.cms.authentication.HashAuthentication;
@@ -77,7 +78,7 @@ public class DirAuthServlet extends CMSServlet {
         } catch (Exception e) {
         }
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
     }
 
     /**
@@ -100,7 +101,7 @@ public class DirAuthServlet extends CMSServlet {
             log(ILogger.LL_FAILURE, CMS.getLogMessage("ADMIN_SRVLT_CA_FROM_RA_NOT_IMP"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_NOT_YET_IMPLEMENTED")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -114,7 +115,7 @@ public class DirAuthServlet extends CMSServlet {
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE"));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -134,7 +135,7 @@ public class DirAuthServlet extends CMSServlet {
         }
 
         if (authzToken == null) {
-            cmsReq.setStatus(CMSRequest.UNAUTHORIZED);
+            cmsReq.setStatus(ICMSRequest.UNAUTHORIZED);
             return;
         }
 
@@ -154,7 +155,7 @@ public class DirAuthServlet extends CMSServlet {
 
         if (!enable) {
             printError(cmsReq, "0");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
         if (lastlogin == 0)
@@ -162,7 +163,7 @@ public class DirAuthServlet extends CMSServlet {
         else if (diff > timeout) {
             mgr.disable(reqHost);
             printError(cmsReq, "2");
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
             return;
         }
 
@@ -184,15 +185,15 @@ public class DirAuthServlet extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
-        cmsReq.setStatus(CMSRequest.SUCCESS);
+        cmsReq.setStatus(ICMSRequest.SUCCESS);
         return;
     }
 
@@ -204,7 +205,7 @@ public class DirAuthServlet extends CMSServlet {
         IArgBlock fixed = CMS.createArgBlock();
         CMSTemplateParams argSet = new CMSTemplateParams(header, fixed);
 
-        mTemplates.remove(CMSRequest.SUCCESS);
+        mTemplates.remove(ICMSRequest.SUCCESS);
         header.addStringValue("authority", "Registration Manager");
         header.addStringValue("errorCode", errorCode);
         String formPath = TPL_ERROR_FILE;
@@ -219,7 +220,7 @@ public class DirAuthServlet extends CMSServlet {
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_GET_TEMPLATE", formPath, e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
             return;
         }
 
@@ -228,13 +229,13 @@ public class DirAuthServlet extends CMSServlet {
 
             httpResp.setContentType("text/html");
             form.renderOutput(out, argSet);
-            cmsReq.setStatus(CMSRequest.SUCCESS);
+            cmsReq.setStatus(ICMSRequest.SUCCESS);
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
                     CMS.getLogMessage("ADMIN_SRVLT_ERR_STREAM_TEMPLATE", e.toString()));
             cmsReq.setError(new ECMSGWException(
                     CMS.getLogMessage("CMSGW_ERROR_DISPLAY_TEMPLATE")));
-            cmsReq.setStatus(CMSRequest.ERROR);
+            cmsReq.setStatus(ICMSRequest.ERROR);
         }
     }
 
